Issue #996 has been updated by Chauk-Mean Proum.


Charlie,

>ruby 1.9.1 (2008-12-30 patchlevel-0 revision 21203) [i386-darwin9.6.0]
>[headius @ cnutter:~/projects/ruby-ffi]

I think this is a specific problem on MinGW.
On the same machine, I built ruby-1.9.1-rc1 with Visual C++ 2008 Express Edition and irb works fine.
irb from ruby-1.9.1-rc1 works also fine on Linux Ubuntu 8.10.

>Perhaps there's an encoding/m17n problem when running on your system?
Maybe. There have been some changes in irb related with m17n between ruby-1.9.1-rc1 and ruby-1.9.1-preview2.
What encoding am I supposed to use (I've never specified a specific encoding before) ?
Also, on the same system, the VC2008 version of irb works.

Chauk-Mean.
----------------------------------------
http://redmine.ruby-lang.org/issues/show/996

----------------------------------------
http://redmine.ruby-lang.org